Bug 22751 - Switch two-column templates to Bootstrap grid: Patron details
Summary: Switch two-column templates to Bootstrap grid: Patron details
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 20654
  Show dependency treegraph
 
Reported: 2019-04-22 18:45 UTC by Owen Leonard
Modified: 2019-04-26 15:01 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05.00


Attachments
Bug 22751: Switch two-column templates to Bootstrap grid: Patron details (3.85 KB, patch)
2019-04-22 18:57 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 22751: Switch two-column templates to Bootstrap grid: Patron details (3.91 KB, patch)
2019-04-23 22:15 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 22751: Switch two-column templates to Bootstrap grid: Patron details (3.96 KB, patch)
2019-04-24 06:14 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-04-22 18:45:42 UTC
The patron details template (moremember.tt) should be updated to use the Bootstrap grid.
Comment 1 Owen Leonard 2019-04-22 18:57:20 UTC Comment hidden (obsolete)
Comment 2 Lucas Gass 2019-04-23 22:15:27 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2019-04-24 06:14:41 UTC
Created attachment 88594 [details] [review]
Bug 22751: Switch two-column templates to Bootstrap grid: Patron details

This patch updates the patron details page template to use the Bootstrap
grid.

To test, apply the patch and view the detail page for a patron in the
staff client. Adjust the browser width and confirm that the page adapts
to different sizes.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Nick Clemens 2019-04-24 11:49:43 UTC
Awesome work all!

Pushed to master for 19.05
Comment 5 Martin Renvoize 2019-04-26 15:01:41 UTC
Enhancement will not be backported to 18.11.x series.